%define modname fixfonts

Summary: Issabel Fix Fax Fonts
Name:    issabel-%{modname}
Version: 1.0.0
Release: 1
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: issabel-framework >= 4.0

%description
Fix for Ghostscript fonts for sending faxes via hylafax

%prep
%setup -n %{name}_%{version}-%{release}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Issabel modules
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/default/ghostscript/
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
cp -pr fonts/* $RPM_BUILD_ROOT/usr/share/fonts/default/ghostscript/
cp fixfonts.service $RPM_BUILD_ROOT/usr/lib/systemd/system/
%pre

%post
systemctl enable fixfonts.service

%clean
rm -rf $RPM_BUILD_ROOT

%preun

%files
%defattr(-, root, root)
/usr/share/fonts/default/ghostscript/
/usr/lib/systemd/system/fixfonts.service

%changelog
* Sat Dec 7 2019 Nicolás Gudiño
- Initial release

